# script to compile module doc
#
# requires 'epydoc'
#
# Author:
#	JM. Philippe	24/03/2007 - v0.1
#
# Copyright Jean-Michel Philippe (c) 2007
#   <http://philipjm.free.fr/blog/>
#
# This is open source software released under the GPL license.
# The full text of this license is found in the file 'LICENSE',
# included with this source code package.

# variables
NAME='whois'
OBJECT='whois'
EPYDOC_OPTIONS='--no-private --docformat "epytext en" -n $NAME -t index.html --debug -u http://philipjm.free.fr/blog/'

# initialisations
PROJECT_DIR=${0/makedoc.sh}
DOC_DIR=$PROJECT_DIR\doc
cd $PROJECT_DIR

# former doc cleaning
if ! [ -d $DOC_DIR ]; then
	mkdir $DOC_DIR
fi
rm -fr $DOC_DIR/*
cd ..

# new doc creation
eval epydoc --html $EPYDOC_OPTIONS -o $DOC_DIR $OBJECT
eval epydoc --pdf $EPYDOC_OPTIONS -o $DOC_DIR $OBJECT
cd $DOC_DIR
mv api.pdf $NAME.pdf

# intermediary file cleaning
rm *.aux *.ps *.tex
rm api.*
